Bug 163948 - gnome-panel vm usage increases constantly, possible leak
gnome-panel vm usage increases constantly, possible leak
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-22 06:20 EDT by Bill Crawford
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-26 10:10:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Crawford 2005-07-22 06:20:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b3) Gecko/20050720 Fedora/1.1-0.2.3.deerpark.alpha2 Firefox/1.0+

Description of problem:
I'm seeing huge vm usage for gnome-panel (and e.g. wnck-applet too) over time, and it grows steadily, although luckily the RSS has stabilised at around 18m, output from top shows:

16581 bill      16   0  187m  18m  12m S  0.0  3.7   0:09.21 gnome-panel        
16589 bill      16   0  107m  15m 8620 S  0.0  3.0   0:35.76 wnck-applet        


Version-Release number of selected component (if applicable):
2.11.4-2

How reproducible:
Always

Steps to Reproduce:
1. Run GNOME for a while
2. Look at output of top ... sorting my memory usage helps :)
3. There is no step 3.
  

Actual Results:  Memory usage growing, apparently unbounded.

Expected Results:  Memory usage should be fairly static .. gnome-panel just sits there and has buttons to push that launch other programs, it shouldn't need this much VM for that.

Additional info:

I've noticed high memory usage for gnome-panel and wnck-applet before, but it's got no better, and has persisted right through FC3 and FC4 into current development.
Comment 1 Bill Crawford 2005-07-22 06:21:56 EDT
btw I have seen the other "memory leak in gnome panel" bug but that appears to
be related to recent-files and/or opening things in nautilus, and I don't have
any nautilus windows open at all ...
Comment 2 Mark McLoughlin 2005-07-26 10:10:18 EDT
This doesn't look like a memory leak - if it was a memory leak the growth in RSS
wouldn't stop.

You shouldn't pay any attention to the VSS, figure, basically. If you look at
the pmap output for the panel you'll see that most of that is taken up by the
icon theme cache mapped into memory. This is read-only, and thus shared.
Comment 3 Bill Crawford 2005-07-27 14:00:20 EDT
Erm ... OK (sorry). Just one question (for my info, not a whinge) - do you know
why the "SHR" column of ps isn't reflecting the sharing of those mappings (the
caches)? I can see the mappings, you were quite right, just not sure why they're
not "looking" like they're shared, apart from the read-only marking.

Note You need to log in before you can comment on or make changes to this bug.